@font-face {
    font-family: 'Candyhome';
    /* 字体名自定义即可 */
    /* 字体文件路径 */
    /* src:url('https://windandstill-1309695473.cos.ap-guangzhou.myqcloud.com/jyhphy-2.ttf'); */
    /* src:url('https://fastly.jsdelivr.net/gh/windandstill/CDN/fonts/Candy.woff2'); */
    src: url('/fonts/Candy.woff2');
    font-display: auto;
    /* font-display: swap; */
}

body {
    font-family: 'Candyhome';
}

/* 版权链接去掉下划线 */
.layout_post .post-copyright .post-copyright-info a {
    text-decoration: none;
}

/* 博主昵称颜色 --也就是首页侧边栏头像下面那个昵称*/
.author-info__name {
    color: #49b1f5;
}

/* 页脚透明 */
#footer {
    background: transparent !important;
}

/* 首页中间打字效果上方 */
#page-header #site_title {
    color: #80bdab;
}

/* 顶部导航栏 */
#nav a {
    color: #f9f2f4;
}

/*页脚自定义字段字体颜色,也就是配置文件里的footer_custom_text*/
.footer_custom_text {
    color: #EEEEEE;
}

/* 滚动条 */
::-webkit-scrollbar {
    width: 14px;
    height: 14px;
}

::-webkit-scrollbar-track {
    background-color: rgba(73, 177, 245, 0.2);
    border-radius: 2em;
}

::-webkit-scrollbar-thumb {
    background-color: #49b1f5;
    background-image: -webkit-linear-gradient(45deg,
            rgba(255, 255, 255, 0.4) 25%,
            transparent 25%,
            transparent 50%,
            rgba(255, 255, 255, 0.4) 50%,
            rgba(255, 255, 255, 0.4) 75%,
            transparent 75%,
            transparent);
    border-radius: 2em;
}

::-webkit-scrollbar-corner {
    background-color: transparent;
}

::-moz-selection {
    color: #fff;
    background-color: #49b1f5;
}

/*文章顶部图透明*/
#page-header {
    background: transparent !important;
}

#page-header.post-bg:before {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: transparent !important;
    /*这个rgba可以自己改*/
    content: '';
}

/* 页脚透明 */
#footer {
    background: transparent !important;
}

/* 页脚黑色透明玻璃效果移除 */
#footer::before {
    background: transparent !important;
}

/* 头图透明 */
#page-header {
    background: transparent !important;
}

/*top-img黑色透明玻璃效果移除，不建议加，除非你执着于完全一图流或者背景图对比色明显 */
#page-header.post-bg:before {
    background-color: transparent !important;
}

/*夜间模式伪类遮罩层透明*/
[data-theme="dark"] #footer::before {
    background: transparent !important;
}

[data-theme="dark"] #page-header::before {
    background: transparent !important;
}

/* 首页文章卡片 */
#recent-posts>.recent-post-item {
    opacity: 0.95;
}

/* 首页侧栏卡片 */
.card-widget {
    opacity: 0.95;
}

/* 文章页面正文背景 */
div#post {
    opacity: 0.95;
}

/* 分页页面 */
div#page {
    opacity: 0.95;
}

/* 归档页面 */
div#archive {
    opacity: 0.95;
}

/* 标签页面 */
div#tag {
    opacity: 0.95;
}

/* 分类页面 */
div#category {
    opacity: 0.95;
}

/* 主页元素隐藏 */
#page-header:not(.not-top-img):before {
    background-color: rgb(0 0 0 / 0%);
}

/*Aplayer隐藏*/
.aplayer.aplayer-fixed.aplayer-narrow .aplayer-body {
    left: -66px !important;
    /* 默认情况下缩进左侧66px，只留一点箭头部分 */
}

.aplayer.aplayer-fixed.aplayer-narrow .aplayer-body:hover {
    left: 0 !important;
    /* 鼠标悬停是左侧缩进归零，完全显示按钮 */
}

.aplayer .aplayer-lrc p.aplayer-lrc-current {
    /* 大小 */
    font-size: 17px;
    /* 颜色 */
    color: #1b82f1;
    opacity: 1;
    overflow: visible;
    height: auto !important;
    min-height: 17px;
}

.aplayer .aplayer-lrc p {
    font-weight: 700;
    font-size: 15px;
    color: #777;
    line-height: 16px !important;
    height: 16px !important;
    padding: 0 !important;
    margin: 0 !important;
    transition: all .5s ease-out;
    opacity: .4;
    overflow: hidden
}

/*加载条*/
.pace {
    -webkit-pointer-events: none;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.pace-inactive {
    display: none;
}

.pace .pace-progress {
    background: #e90f92;
    position: fixed;
    z-index: 2000;
    top: 0;
    right: 100%;
    width: 100%;
    height: 2px;
}

.pace .pace-progress-inner {
    display: block;
    position: absolute;
    right: 0px;
    width: 100px;
    height: 100%;
    box-shadow: 0 0 10px #e90f92, 0 0 5px #e90f92;
    opacity: 1.0;
    -webkit-transform: rotate(3deg) translate(0px, -4px);
    -moz-transform: rotate(3deg) translate(0px, -4px);
    -ms-transform: rotate(3deg) translate(0px, -4px);
    -o-transform: rotate(3deg) translate(0px, -4px);
    transform: rotate(3deg) translate(0px, -4px);
}

.pace .pace-activity {
    display: block;
    position: fixed;
    z-index: 2000;
    top: 15px;
    right: 15px;
    width: 14px;
    height: 14px;
    border: solid 2px transparent;
    border-top-color: #e90f92;
    border-left-color: #e90f92;
    border-radius: 10px;
    -webkit-animation: pace-spinner 400ms linear infinite;
    -moz-animation: pace-spinner 400ms linear infinite;
    -ms-animation: pace-spinner 400ms linear infinite;
    -o-animation: pace-spinner 400ms linear infinite;
    animation: pace-spinner 400ms linear infinite;
}

@-webkit-keyframes pace-spinner {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes pace-spinner {
    0% {
        -moz-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -moz-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes pace-spinner {
    0% {
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-ms-keyframes pace-spinner {
    0% {
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes pace-spinner {
    0% {
        transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/* 在下面修改进度条外观 */
.pace .pace-progress {
    background: #1ef4fbec;
    /*进度条颜色*/
    height: 3px;
    /* 进度条厚度 */
}

.pace .pace-progress-inner {
    box-shadow: 0 0 10px #1ef4fbce, 0 0 5px #1ecffbd0;
    /*阴影颜色*/
}

.pace .pace-activity {
    border-top-color: #1edafbe5;
    /*上边框颜色*/
    border-left-color: #1ef4fbec;
    /*左边框颜色*/
}